Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451154 - suspend test fails due to unkown suspend method "standby"
Summary: suspend test fails due to unkown suspend method "standby"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 01:39 UTC by YangKun
Modified: 2008-11-12 19:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-12 19:24:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fixed in HTS 5.2 R17 (deleted)
2008-06-20 17:06 UTC, Greg Nichols
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0919 normal SHIPPED_LIVE hts bug fix update 2008-11-12 19:24:32 UTC

Description YangKun 2008-06-13 01:39:38 UTC
Subject:
[engineering.redhat.com #24658] [CRM 1833928] certification test kit hts 5.2
release 13 test procedure
From:
"Ashish Shah via RT" <hwcert-escalations@redhat.com>
Date:
Thu, 12 Jun 2008 13:08:32 -0400

Thu Jun 12 13:08:31 2008: Request 24658 was acted upon.
Transaction: Ticket created by ashishks@redhat.com
       Queue: hwcert-escalations
     Subject: [CRM 1833928] certification test kit hts 5.2 release 13 test procedure
       Owner: Nobody
  Requestors: ashishks@redhat.com
      Status: new
 Ticket <URL: https://engineering.redhat.com/rt3/Ticket/Display.html?id=24658 >


Hi,

Wipro has opened a case for RHEL5.2 certification test in Laptop. This 
is a bit urgent issue for him. Customer is using RHEL 5.2 OS & test kit 
hts 5.2 release 13.
Customer is looking for step by step test procedure for 5.2 in his 
Laptop & test kit hts 5.2 release 13. (Found few new tests like suspend, 
lid, express card, battery & socket test)
He tried an attempt to run the test, suspend test is failing. He has 
provided sosreport and failed logs

I have observed below in suspend logs...

Running ./suspend.py:
This test will suspend the operating system.
Please resume by pressing the power button after suspend has completed.
 suspend?  (y|n) response: y
Suspending in 5 sec
Error: unknown suspend method standby
...finished running ./suspend.py, exit code=1

Please suggest

Regards,
Ashish

Comment 1 Greg Nichols 2008-06-20 17:06:10 UTC
Created attachment 309937 [details]
Fixed in HTS 5.2 R17

Comment 4 Nicole Dai 2008-10-10 10:08:53 UTC
Tested the bug with hts-5.2-20.el5 on RHEL5.2 Server in laptop and suspend test still failed. The output is as below:
Running ./suspend.py:
This test will suspend the operating system.
Please resume by pressing the power button after suspend has completed.
 suspend?  (y|n) y
response: y
Suspending in 5 sec
Has resume completed?  (y|n) y
response: y
Error: could not verify suspend
This test will suspend the operating system.
Please resume by pressing the power button after suspend has completed.
Please press the function key (Fn) to suspend the system to mem  (y|n) y
response: y
Has resume completed?  (y|n) y
response: y
Error: could not verify suspend
...finished running ./suspend.py, exit code=1
recovered exit code=1
hts-report-result /HTS/hts/suspend FAIL /var/log/hts/runs/1/suspend/output.log 
saveOutput: /var/log/hts/runs/1/suspend/output.log

Please clarify if the failure is related to the bug or a new issue. Thanks.

Comment 5 Greg Nichols 2008-10-10 12:49:26 UTC
This is a different issue.  Please open another bug.

Comment 6 Nicole Dai 2008-10-13 05:21:05 UTC
According to Comment #4 and Comment #5 verified the bug does not exist in hts-5.2-20.el5 on RHEL5.2 Server.

Comment 8 errata-xmlrpc 2008-11-12 19:24:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0919.html


Note You need to log in before you can comment on or make changes to this bug.